org.encog.ml.model.config

## Class NEATConfig

- java.lang.Object
- - org.encog.ml.model.config.NEATConfig

- All Implemented Interfaces:
    MethodConfig

      public class NEATConfig
      extends Object
      implements MethodConfig

  Config class for EncogModel to use a NEAT neural network.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `determineOutputCount(VersatileMLDataSet dataset)` Determine the needed output count.
    `String` | `getMethodName()`
    `String` | `suggestModelArchitecture(VersatileMLDataSet dataset)` Suggest a model architecture, based on a dataset.
    `NormalizationStrategy` | `suggestNormalizationStrategy(VersatileMLDataSet dataset, String architecture)` Suggest a normalization strategy based on a dataset.
    `String` | `suggestTrainingArgs(String trainingType)` Suggest training arguments.
    `String` | `suggestTrainingType()` Suggest a training type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NEATConfig

          public NEATConfig()

  - ### Method Detail

    - #### getMethodName

          public String getMethodName()

      Specified by:
        `getMethodName` in interface `MethodConfig`
      Returns:
        The method name.

    - #### suggestModelArchitecture

          public String suggestModelArchitecture(VersatileMLDataSet dataset)

      Suggest a model architecture, based on a dataset.
      Specified by:
        `suggestModelArchitecture` in interface `MethodConfig`
      Parameters:
        `dataset` - The dataset.
      Returns:
        The model architecture.

    - #### suggestNormalizationStrategy

          public NormalizationStrategy suggestNormalizationStrategy(VersatileMLDataSet dataset,
                                                           String architecture)

      Suggest a normalization strategy based on a dataset.
      Specified by:
        `suggestNormalizationStrategy` in interface `MethodConfig`
      Parameters:
        `dataset` - The dataset.
        `architecture` - The architecture.
      Returns:
        The strategy.

    - #### suggestTrainingType

          public String suggestTrainingType()

      Suggest a training type.
      Specified by:
        `suggestTrainingType` in interface `MethodConfig`
      Returns:
        The training type.

    - #### suggestTrainingArgs

          public String suggestTrainingArgs(String trainingType)

      Suggest training arguments.
      Specified by:
        `suggestTrainingArgs` in interface `MethodConfig`
      Parameters:
        `trainingType` - The training type.
      Returns:
        The training arguments.

    - #### determineOutputCount

          public int determineOutputCount(VersatileMLDataSet dataset)

      Determine the needed output count.
      Specified by:
        `determineOutputCount` in interface `MethodConfig`
      Parameters:
        `dataset` - The dataset.
      Returns:
        The needed output count.

Copyright © 2014. All Rights Reserved.